Skip to main content

Application Job Logs Actions

https://api.losant.com/applications/APPLICATION_ID/jobLogs

Below are the various requests that can be performed against the Application Job Logs resource, as well as the expected parameters and the potential responses.

Get​

Returns the job logs for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/jobLogs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationJobLogs.*, or applicationJobLogs.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, status, resourceType, runQueuedAt, runStartedAt, runCompletedAtrunQueuedAtsortField=status
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
queryNFilter application job logs by a query. See Advanced Application Job Log Query for more details.query={"name":"ApplicationExport","status":{"$in":["errored","failed","completed"]}}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/jobLogs

Successful Responses​

CodeTypeDescription
200Application Job LogsCollection of application job logs

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Advanced Application Job Log Query​

Schema for advanced application job logs queries

Advanced Application Job Log Query Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 11 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key

                        Advanced Application Job Log Query Example​

                        • ▶
                          {} 2 keys
                          • "ApplicationExport"
                          • ▶
                            {} 1 key

                          Application Job Logs​

                          Schema for a collection of Application Job Logs

                          Application Job Logs Schema​

                          • ▶
                            {} 3 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 9 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys

                                            Application Job Logs Example​

                                            • ▶
                                              {} 7 keys
                                              • ▶
                                                [] 1 item
                                                • 1
                                                • 8
                                                • 1
                                                • 0
                                                • "name"
                                                • "asc"

                                              Error​

                                              Schema for errors returned by the API

                                              Error Schema​

                                              • ▶
                                                {} 3 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 3 keys
                                                  • ▶
                                                    {} 1 key
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 2 keys

                                                    Error Example​

                                                    • ▶
                                                      {} 2 keys
                                                      • "NotFound"
                                                      • "Application was not found"

                                                    Was this page helpful?


                                                    Still looking for help? You can also search the Losant Forums or submit your question there.